require 'smswall/message/version'
require 'smswall/message/config'

module Smswall
  module Message
    class Document
      include Mongoid::Document
      include Mongoid::Timestamps

      field :from
      field :content
      field :provider

      validates :from, presence: true
      validates :content, presence: true
      validates :provider, presence: true
    end
  end
end
